@charset "utf-8";

.post-md {
  width: 100%;
  font-size: 16px;
  letter-spacing: 0;
}

.post-md h1,
.post-md h2,
.post-md h3,
.post-md h4,
.post-md h5,
.post-md h6 {
  color: var(--font-color-1);
  margin: 12px 0;
}

.post-md h1 {
  font-size: 2rem;
  line-height: 1.2;
  padding: 24px 0;
}

.post-md h2 {
  font-size: 1.6rem;
  line-height: 1.2;
  padding: 20px 0;
}

.post-md h3 {
  font-size: 1.4rem;
  line-height: 1.2;
  padding: 18px 0;
}

.post-md h4 {
  font-size: 1.2rem;
  line-height: 1.2;
  padding: 16px 0;
}

.post-md h5 {
  font-size: 1.15rem;
  line-height: 1.2;
  padding: 14px 0;
}

.post-md h6 {
  font-size: 1.1rem;
  line-height: 1.2;
  padding: 12px 0;
}

.post-md a {
  color: var(--font-color-0);
  transition: color ease-in-out 0.65s, box-shadow ease-in-out 0.65s;
}

.post-md a:hover {
  color: var(--font-color-0);
  box-shadow: 0 2px 0 var(--font-color-0);
  transition: color ease-in-out 0.65s, box-shadow ease-in-out 0.65s;
}

.post-md strong {
  font-weight: 700;
}

.post-md em {
  font-style: italic;
}

.post-md kbd {
  padding: 2px 4px;
  border-radius: 2px;
  background: #eee;
  border: 1px solid #ddd;
}

.post-md ol {
  list-style: decimal;
  padding-left: 24px;
}

.post-md ul {
  list-style: disc;
  padding-left: 24px;
}

.post-md img {
  border-radius: 4px;
  box-sizing: border-box;
  padding: 5px 5px;
  border: 1px solid #ebebeb;
}

.post-md hr {
  border: none;
  height: 1px;
  background: var(--line-1);
  margin: 24px 0;
}

.post-md p,
.post-md blockquote {
  width: 100%;
  margin: 12px 0;
}

.post-md blockquote {
  border-left: 2px solid var(--line-2);
  padding-left: 12px;
  word-wrap: break-word;
}

.post-md .video-container {
  background: #000;
  border-radius: 4px;
  overflow: hidden;
}

.post-md iframe,
.post-md .video-container iframe {
  width: 100%;
  height: 100vh;
  max-height: 360px;
  margin: 12px 0;
}

.post-md > table {
  width: 100%;
  text-align: left;
  border-spacing: 0;
}

.post-md > table th {
  padding: 12px 0;
  border-bottom: 2px solid var(--line-1);
}

.post-md > table tr:nth-child(odd) td {
  padding: 12px 0;
  border-bottom: 1px solid var(--line-1);
  background: #fafafa;
}

.post-md > table tr:nth-child(even) td {
  padding: 12px 0;
  border-bottom: 1px solid var(--line-1);
  background: #fff;
}

.post-md code {
  border-radius: 4px;
  background: #2b2b2b;
  padding: 2px 4px;
  color: #f8f8f2;
  font-size: 1rem;
}

.post-md .hljs-ln-numbers {
  opacity: 0.5;
  padding-right: 12px;
}
